CREATE TABLE NNDELAVC_TEMPLATE (
ID_DELAVC_TEMPLATE NUMBER NOT NULL,
SERVICE_CODE VARCHAR2(6 CHAR) NOT NULL,
WORKER_CODE VARCHAR2(10 CHAR) NOT NULL,
NR_OF_HOURS NUMBER NOT NULL,
USER_COMMENT VARCHAR2(255 CHAR),
CONSTRAINT PK_NNDELAVC_TEMPLATE PRIMARY KEY (ID_DELAVC_TEMPLATE)
)
;

CREATE SEQUENCE NNDELAVC_TEMPLATE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

update NSALDKONT_SUBTYPE
SET OPTIONS = 'NPT;'
WHERE CODE='NPT' AND OPTIONS='NPT'
;

CREATE OR REPLACE VIEW V_SALDKONT_PREPAYMENTS AS
(
select a.id_saldkont_zap, a.id_saldkont, a.Znesek, a.Znesek_davka, a.Tecaj, b.n_racuna, b.za_placilo, b.protivrednost, 
b.DATUM, b.valuta_rn, b.davek_akont, b.tecaj_valute, b.id_racuna, f.stevilka, r.znesek as rdznesek, r.dav_stopnja, 
rk.opis as racun_kupca, (r.neto*a.znesek/r.znesek) as neto
FROM
saldkont_zap a JOIN saldkont b on a.id_pl_saldkont=b.id_saldkont 
LEFT OUTER JOIN SALDKONT_FISC f on a.id_saldkont_zap=f.id_saldkont_fisc 
LEFT OUTER JOIN RACUN_DATA R ON b.id_saldkont=r.id_saldkont
LEFT OUTER JOIN RACUNI_KUPCEV RK on b.id_racuna=rk.id_racuna
WHERE b.vrsta_racuna in ('AKO','AKF')
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1350, SYSDATE, '5.5', 1270, 'Neto prepayments and worker template')
;