DROP VIEW V_STORITVE;

CREATE OR REPLACE VIEW V_STORITVE AS (
SELECT M.ID_STORITVE, M.ID_DN, M.ID_POGODBE, M.ID_VPS, M.VRSTA, M.ID_LASTNIKA, M.ID_PLOVILA, M.STORITEV, M.KAT, M.TIMEKAT, M.PROCKAT, M.DATUM_OD, M.DATUM_DO, M.KOLICINA, M.POPUST, M.OPIS_SERVIS,
M.ZNESEK, (COALESCE(M.ZNESEK,0)*(1-COALESCE(M.POPUST,0)/100)*(1-COALESCE(M.POPUST1,0)/100)*(1-COALESCE(M.POPUST2,0)/100)*(1-COALESCE(M.PROVIZIJA,0)/100)) AS NETO,M.VALUTA, M.TECAJ, M.DAVEK, M.N_PONUDBE, 
(COALESCE(M.ZNESEK,0)*(1-COALESCE(M.POPUST,0)/100)*(1-COALESCE(M.POPUST1,0)/100)*(1-COALESCE(M.POPUST2,0)/100)*(1-COALESCE(M.PROVIZIJA,0)/100)*(1+COALESCE(M.DAVEK,0)/100)) AS BRUTO,
M.N_RACUNA, M.DATUM_RACUNA, M.ZAKLJUCEN, M.KOMENTAR, M.DATUM_KREIRANJA, M.USER_KREIRANJA, M.DATUM_SPREMEMBE, M.USER_SPREMEMBE, M.TIP_SERVIS, M.AUTO,
M.POPUST1, M.POPUST2, M.NAMENP, M.NAMENP1, M.NAMENP2, M.TECAJP, M.DODATNA_STORITEV, M.DOMACA_VALUTA, M.PROVIZIJA, M.DRZAVA, M.SKUPAJ_OSEB, M.ID_KAT, M.PROVIZIJA_DELITEV, M.ID_REZERVACIJE, M.CUSTOM,
M.CPROVIZIJA, M.SERVICE_COST, M.COMPLETE, M.KOLICINA_INSTR, M.ID_STORITVE_GEN, M.ID_BATCH, M.ID_SALDKONT, M.ID_LASTNIKA_ORG, M.NNLOCATION_ID, M.MIN_FEE, M.ID_LASTNIK_LEASE, 
M.NCARD, M.FULL_AMOUNT, M.SERVICE_TIME, M.ID_PRIVEZ, M.SUBLEASE_PAYMENT, M.ID_DAVEK, M.LASTNIK_LEASE_PROCENT, M.ID_REZERVACIJE_CHARTER, M.ID_SERVICE_TEMPLATE, M.CAS_OD, M.CAS_DO, M.USER_COMMENT, M.SERVICE_COMMENT,
M.ID_OWNER_SIGNATURE, M.ID_NAJAVE, M.SORT, M.ID_IMPORT_BATCH, M.CALCULATING, M.CALCULATED_TO, M.ID_STORITVE_STORNO, M.WORKERS_CHARGEABLE, M.ID_SALDKONT_GEN, M.PROFIT_CENTER, 
NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, NS.DAVEK AS NNSTOMAR_DAVEK, NS.KAT AS NNSTOMAR_KAT, NS.TIMEKAT AS NNSTOMAR_TIMEKAT, NS.ENOTA AS NNSTOMAR_ENOTA, NS.FILTER AS NNSTOMAR_FILTER,
NS.DEPARTURE_CHECK AS NNSTOMAR_DEPARTURE_CHECK, NS.NIGHTS_PRICE AS NNSTOMAR_NIGHTS_PRICE, NS.WORKERS AS NNSTOMAR_WORKERS,
NNE.OPIS AS NNSTOMAR_ENOTA_OPIS, NNE.INTERNI_OPIS AS NNSTOMAR_ENOTA_INTERNI_OPIS, MDN.DATUM_DN AS M_DE_NA_DATUM_DN, MDN.TERMIN_DO AS M_DE_NA_TERMIN_DO, MDN.STEVILKA AS M_DE_NA_STEVILKA,
MDN.STATUS AS M_DE_NA_STATUS, MDN.ORG_STATUS AS M_DE_NA_ORG_STATUS, MDN.TYPE AS M_DE_NA_TYPE, PL.IME AS PLOVILA_IME,
KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, KU.MANAGER AS KUPCI_MANAGER, KU.VRSTA AS KUPCI_VRSTA,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER,
(SELECT LISTAGG(ND.OPIS,', ') WITHIN GROUP(ORDER BY ND.OPIS ASC) WORKERS FROM DELAVCI D, NNDELAVC ND WHERE ND.SIFRA = D.SIFRA AND D.ID_STORITVE = M.ID_STORITVE AND ROWNUM < 100) AS WORKERS
FROM M_STORITVE M
LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = M.STORITEV
LEFT OUTER JOIN NNENOTE NNE ON NNE.SIFRA = NS.ENOTA
LEFT OUTER JOIN M_DE_NA MDN ON MDN.ID_DN = M.ID_DN
LEFT OUTER JOIN KUPCI KU ON KU.ID = M.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = M.ID_PLOVILA
)
;

DROP VIEW V_M_VZORCI_PS;

CREATE OR REPLACE VIEW V_M_VZORCI_PS AS (
SELECT M.ID, M.LETO, M.ID1, M.STORITEV, M.KAT, M.TIMEKAT, M.PROCKAT, M.DATUM_ZACETKA, M.DATUM_KONCA, M.ID_VPS, M.ID_POGODBE, M.SKUPAJ, M.DATUM_OBRACUNA, M.OBRACUNANO, M.POPUST, M.DAVEK, M.KOLICINA, M.POPUST1, M.POPUST2, M.KOMENTAR, M.DOMACA_VALUTA,
(COALESCE(M.SKUPAJ,0)*(1-COALESCE(M.POPUST,0)/100)*(1-COALESCE(M.POPUST1,0)/100)*(1-COALESCE(M.POPUST2,0)/100)*(1-COALESCE(M.PROVIZIJA,0)/100)) AS NETO,
(COALESCE(M.SKUPAJ,0)*(1-COALESCE(M.POPUST,0)/100)*(1-COALESCE(M.POPUST1,0)/100)*(1-COALESCE(M.POPUST2,0)/100)*(1-COALESCE(M.PROVIZIJA,0)/100)*(1+COALESCE(M.DAVEK,0)/100)) AS BRUTO,
M.PROVIZIJA, M.TECAJ, M.STORNO, M.AUTO, M.DODATNA_STORITEV, M.DATUM_PONUDBE, M.KOLICINA_INSTR, M.ZAPOREDJE, M.AUTO_CREATE_METHOD, M.AUTO_CREATE_DAY, M.NEXT_AUTO_DATE, M.ACTIVE, M.AMOUNT_DAY, M.AMOUNT_MONTH, M.NAMENP, M.NAMENP1, M.NAMENP2, M.ID_PRIVEZ,
M.DATUM_KREIRANJA, M.DATUM_SPREMEMBE, M.USER_KREIRANJA, M.USER_SPREMEMBE, M.ID_DAVEK, M.USER_COMMENT, M.SERVICE_COMMENT, M.FULL_AMOUNT, M.SORT, M.VALUTA, M.CUSTOM_TEXT,
NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, NS.DAVEK AS NNSTOMAR_DAVEK, NS.KAT AS NNSTOMAR_KAT, NS.TIMEKAT AS NNSTOMAR_TIMEKAT, NS.ENOTA AS NNSTOMAR_ENOTA, NS.FILTER AS NNSTOMAR_FILTER,
MP.DATUM_ZACETKA AS POGODBA_DATUM_ZACETKA, MP.DATUM_KONCA AS POGODBA_DATUM_KONCA, MP. DATUM_PREKINITVE AS POGODBA_DATUM_PREKINITVE, MP.STATUS AS POGODBA_STATUS, MP.NNLOCATION_ID AS POGODBA_NNLOCATION_ID, 
MP.ID_PLOVILA AS POGODBA_ID_PLOVILA, MP.ID_LASTNIKA AS POGODBA_ID_LASTNIKA, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.VRSTA AS KUPCI_VRSTA, P.IME AS PLOVILA_IME,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM M_VZORCI_PS M
LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = M.STORITEV
LEFT OUTER JOIN M_POGODBE MP ON MP.ID_POGODBE = M.ID_POGODBE
LEFT OUTER JOIN KUPCI K ON K.ID = MP.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = MP.ID_PLOVILA
);

DROP VIEW V_POGODBE;

CREATE OR REPLACE VIEW V_POGODBE AS (
	SELECT P.ID_POGODBE AS V_POGODBE_ID, P.ID_POGODBE, P.ID_LASTNIKA, P.ID_PLOVILA, P.ID_MASTER, P.OBJEKT, P.N_PRIVEZA, P.N_POGODBE, P.DATUM_ZACETKA, P.DATUM_KONCA, P.PREDVIDENI_DATUM_KONCA, P.DATUM_KREIRANJA, P.USER_KREIRANJA,
  P.DATUM_SPREMEMBE, P.USER_SPREMEMBE, P.STATUS, P.DATUM_SKLENITVE, P.DATUM_PREKINITVE, P.KOMENTAR, P.TIP_POGODBE, P.EXTENSION_SEQUENCE_NUMBER, P.EXTENSION_DATE, P.ID_PRIVEZ, P.BLOCK_OUT, P.APPROVED_BY, P.APPROVED_ON, P.ID_OWNER_SIGNATURE,
  (CASE WHEN P.BLOCK_OUT = 'Y' AND P.DATUM_ZACETKA IS NOT NULL AND P.DATUM_KONCA IS NOT NULL THEN P.DATUM_KONCA + 1 ELSE NULL END) AS BLOCK_OUT_FROM,
  (CASE WHEN P.BLOCK_OUT = 'Y' AND P.DATUM_ZACETKA IS NOT NULL AND P.DATUM_KONCA IS NOT NULL THEN P.DATUM_KONCA + (P.DATUM_KONCA - P.DATUM_ZACETKA) + 1 ELSE NULL END) AS BLOCK_OUT_TO,
  NNSTAT.OPIS AS STATUS_OPIS, NNSTAT.INTERNI_OPIS AS STATUS_INTERNI_OPIS,
  PLOV.IME AS PLOVILA_IME, PLOV.PODALJSA AS PLOVILA_PODALJSA, KUP.IME AS KUPCI_IME, KUP.PRIIMEK AS KUPCI_PRIIMEK, KUP.INT_CODE AS KUPCI_INT_CODE, KUP.VRSTA AS KUPCI_VRSTA, KUP.KODA_JEZIKA AS KUPCI_KODA_JEZIKA,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUP.IME || ' ' || KUP.PRIIMEK) ELSE (KUP.PRIIMEK || ' ' || KUP.IME) END) AS OWNER,
  NP.ID_PRIVEZ AS NNPRIVEZ_ID_PRIVEZ, NP.KATEGORIJA AS NNPRIVEZ_KATEGORIJA, NP.OBJEKT AS NNPRIVEZ_OBJEKT, NP.N_PRIVEZA AS NNPRIVEZ_PRIVEZ, NP.DOLZINA AS NNPRIVEZ_DOLZINA, 
  NO.OPIS AS NNOBJEKT_OPIS, NO.INTERNI_OPIS AS NNOBJEKT_INTERNI_OPIS, NO.STORAGE AS NNOBJEKT_STORAGE, NNLOC.ID AS NNLOCATION_ID,
  (SELECT SUM((MV.SKUPAJ + (MV.SKUPAJ*COALESCE(MV.DAVEK,0)/100))*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE AND MV.STORNO IS NULL) AS PRICE, 
  (SELECT SUM(COALESCE(MV.SKUPAJ,0)*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE AND MV.STORNO IS NULL) AS NETO_PRICE, 
  (SELECT SUM((MV.SKUPAJ + (MV.SKUPAJ*COALESCE(MV.DAVEK,0)/100))*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE_GEN AND MV.STORNO IS NULL) AS PREVIOUS_PRICE, 
  (SELECT SUM(COALESCE(MV.SKUPAJ,0)*(1 - (COALESCE(MV.POPUST, 0)/100))*(1 - (COALESCE(MV.POPUST1, 0)/100))*(1 - (COALESCE(MV.POPUST2, 0)/100))) FROM M_VZORCI_PS MV WHERE MV.ID_POGODBE = P.ID_POGODBE_GEN AND MV.STORNO IS NULL) AS NETO_PREVIOUS_PRICE, 
	(CASE WHEN ((SELECT COUNT(*) FROM M_VZORCI_PS WHERE ID_POGODBE = P.ID_POGODBE AND STORNO IS NULL) > 0 AND (SELECT COUNT(*) FROM M_VZORCI_PS WHERE ID_POGODBE = P.ID_POGODBE AND STORNO IS NULL AND ACTIVE = 'Y') = 0) THEN 'Y' ELSE 'N' END) AS FULLY_CHARGED
  FROM M_POGODBE P
	LEFT OUTER JOIN NNSTATPOG NNSTAT ON P.STATUS = NNSTAT.SIFRA
  LEFT OUTER JOIN PLOVILA PLOV ON PLOV.ID = P.ID_PLOVILA
  LEFT OUTER JOIN KUPCI KUP ON KUP.ID = P.ID_LASTNIKA
  LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = P.ID_PRIVEZ
  LEFT OUTER JOIN NNOBJEKT NO ON NO.SIFRA = NP.OBJEKT 
  LEFT OUTER JOIN NNPOMOL NPOM ON NPOM.SIFRA = NP.KATEGORIJA
  LEFT OUTER JOIN NNLOCATION NNLOC ON NNLOC.ID = NPOM.NNLOCATION_ID
);

DROP VIEW V_M_DE_NA
;

CREATE OR REPLACE VIEW V_M_DE_NA AS (
SELECT M.ID_DN, M.ID_LASTNIKA, M.ID_PLOVILA, M.ID_ASSET, M.ID_RACUNA, M.ID_PREDRACUN, M.ID_REZERVACIJE, M.ID_POGODBE, M.STEVILKA, M.STATUS, M.ORG_STATUS, M.USER_KREIRANJA, M.USER_SPREMEMBE, M.CONFIRMED, 
M.DATUM_DN, M.TERMIN_DO, M.SKUPAJ, M.SKUPAJ_VAL, M.KOMENTAR, M.LASTNIK_OBVESCEN, M.NNLOCATION_ID, M.ID_OWNER_SIGNATURE, M.TYPE, M.PROFITNI_CENTER, M.DATUM_KREIRANJA, M.DATUM_SPREMEMBE,
M.DESCRIPTION, M.USER_REFERENCE, M.APPROVED_BY, M.APPROVED_ON, DNDATA.NETO_VALUE, DNDATA.BRUTO_VALUE,
A.NAME AS ASSET_NAME, OFR.STEVILKA AS OFFER_STEVILKA, N.OPIS AS NNSTATDN_OPIS, N.INTERNI_OPIS AS NNSTATDN_INTERNI_OPIS, NS.DESCRIPTION AS NNSTATPON_DESCRIPTION, 
K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, CONCAT(CONCAT(COALESCE(K.PRIIMEK, ''), ' '), COALESCE(K.IME, '')) AS KUPCI_PRIIMEK_IME, K.VALUTA_PLACILA AS KUPCI_VALUTA_PLACILA, 
P.IME AS PLOVILA_IME, L.OPIS AS NNLOCATION_OPIS, L.INTERNI_OPIS AS NNLOCATION_INTERNI_OPIS, 
(SELECT AVG(COALESCE(COMPLETE, 0)) FROM M_STORITVE MS WHERE MS.ID_DN = M.ID_DN) AS SERVICE_COMPLETE_AVERAGE,
(SELECT SUM(COALESCE(S.ZA_PLACILO, 0)) FROM SALDKONT S WHERE S.ID_DN = M.ID_DN AND S.SDK_RN_TIP = 'I' AND S.SDK_RN_PL = 'R') AS SUM_ISSUED_INVOICES,
(SELECT SUM(COALESCE(S.ZA_PLACILO, 0)) FROM SALDKONT S WHERE S.ID_DN = M.ID_DN AND S.SDK_RN_TIP = 'I' AND S.SDK_RN_PL = 'P') AS SUM_ISSUED_PAYMENTS,
(SELECT COUNT(ID) FROM NAJAVE WHERE VRSTA_NAJAVE = 'CRANE' AND ID_DN = M.ID_DN)  AS CRANE_PLAN_COUNT,
(SELECT COUNT(ID_MAINTENANCE_TASK) FROM MAINTENANCE_TASK WHERE ID_DN = M.ID_DN)  AS MAINTENANCE_PLAN_COUNT
FROM M_DE_NA M
LEFT OUTER JOIN M_DE_NA OFR ON OFR.ID_DN = M.ID_PREDRACUN
LEFT OUTER JOIN (SELECT ID_DN, SUM(NETO) AS NETO_VALUE, SUM(ZNESEK) AS BRUTO_VALUE FROM M_DE_NA_DATA GROUP BY ID_DN) DNDATA ON M.ID_DN=DNDATA.ID_DN
LEFT OUTER JOIN NNSTATDN N ON N.SIFRA = M.STATUS
LEFT OUTER JOIN NNSTATPON NS ON NS.CODE = M.CONFIRMED
LEFT OUTER JOIN KUPCI K ON K.ID = M.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA P ON P.ID = M.ID_PLOVILA
LEFT OUTER JOIN NNLOCATION L ON L.ID = M.NNLOCATION_ID
LEFT OUTER JOIN ASSET A ON A.ID_ASSET = M.ID_ASSET
)
;

DROP VIEW V_KUPCI_PLOVILA
;

CREATE OR REPLACE FORCE VIEW V_KUPCI_PLOVILA (KUPCI_PLOVILA_ID, ID_LASTNIKA, KUPCI_IME, KUPCI_PRIIMEK, KUPCI_NASLOV, KUPCI_MESTO, KUPCI_POSTA, KUPCI_VRSTA, KUPCI_NDRZAVA, KUPCI_EMAIL, 
KUPCI_TELEFON_1, YACHT_CLUB_ID, KUPCI_ID_MEMBER, KUPCI_ACT, KUPCI_TELEX, KUPCI_GSM, KUPCI_TELEFON_2, KUPCI_DAVCNA_STEVILKA, KUPCI_VALUTA_PLACILA, KUPCI_SALDAKONTI_SIT, 
KUPCI_SALDAKONTI_DEM, KUPCI_SALDAKONTI_KOM, KUPCI_INT_CODE, KUPCI_VEHICLE_REGISTRATION_NUM, KUPCI_MANAGER, KUPCI_N_DOKUMENTA, OWNER, PLOVILA_ID, PLOVILA_IME, PLOVILA_REGISTRSKA_N, 
PLOVILA_MODEL, PLOVILA_NTIP, PLOVILA_NZASTAVA, TRENUTNO_DO, POGODBA_DO, PLOVILA_DOLZINA, PLOVILA_SIRINA, PLOVILA_GREZ, PLOVILA_BOOKING, PLOVILA_ACT, PLOVILA_DATUM_ZAVAROVANJE, 
TRENUTNI_OBJEKT_PRIVEZA, TRENUTNA_N_PRIVEZA, TRENUTNA_KATEGORIJA, POGODBENI_OBJEKT_PRIVEZA, POGODBENA_N_PRIVEZA, POGODBENA_KATEGORIJA, KUPCI_MANAGER_USER, ID_PRIVEZ_TEMP, 
ID_LOCATION_TEMP, ID_PRIVEZ_CONTRACT, ID_LOCATION_CONTRACT) AS 
  (
SELECT CONCAT(CONCAT(K.ID, '-'), P.ID) AS KUPCI_PLOVILA_ID, K.ID AS ID_LASTNIKA, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.NASLOV AS KUPCI_NASLOV, K.MESTO AS KUPCI_MESTO, K.POSTA AS KUPCI_POSTA, K.VRSTA AS KUPCI_VRSTA,
K.NDRZAVA AS KUPCI_NDRZAVA, K.EMAIL AS KUPCI_EMAIL, K.TELEFON_1 AS KUPCI_TELEFON_1, K.YACHT_CLUB_ID, K.ID_MEMBER AS KUPCI_ID_MEMBER, K.ACT AS KUPCI_ACT, K.TELEX AS KUPCI_TELEX, K.GSM AS KUPCI_GSM, K.TELEFON_2 AS KUPCI_TELEFON_2,
K.DAVCNA_STEVILKA AS KUPCI_DAVCNA_STEVILKA, K.VALUTA_PLACILA AS KUPCI_VALUTA_PLACILA, K.SALDAKONTI_SIT AS KUPCI_SALDAKONTI_SIT, K.SALDAKONTI_DEM AS KUPCI_SALDAKONTI_DEM, K.SALDAKONTI_KOM AS KUPCI_SALDAKONTI_KOM, K.INT_CODE AS KUPCI_INT_CODE,
K.VEHICLE_REGISTRATION_NUM AS KUPCI_VEHICLE_REGISTRATION_NUM, K.MANAGER AS KUPCI_MANAGER, K.N_DOKUMENTA AS KUPCI_N_DOKUMENTA,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
P.ID AS PLOVILA_ID, P.IME AS PLOVILA_IME, P.REGISTRSKA_N AS PLOVILA_REGISTRSKA_N, P.MODEL AS PLOVILA_MODEL, P.NTIP AS PLOVILA_NTIP, P.NZASTAVA AS PLOVILA_NZASTAVA, P.TRENUTNO_DO, P.POGODBA_DO, P.DOLZINA AS PLOVILA_DOLZINA,
P.SIRINA AS PLOVILA_SIRINA, P.GREZ AS PLOVILA_GREZ, P.BOOKING AS PLOVILA_BOOKING, P.ACT AS PLOVILA_ACT, P.DATUM_ZAVAROVANJE AS PLOVILA_DATUM_ZAVAROVANJE,
CASE WHEN BERTH_TEMP.ID_PRIVEZ IS NOT NULL THEN BERTH_TEMP.OBJEKT ELSE P.TRENUTNI_OBJEKT_PRIVEZA END AS TRENUTNI_OBJEKT_PRIVEZA,
CASE WHEN BERTH_TEMP.ID_PRIVEZ IS NOT NULL THEN BERTH_TEMP.N_PRIVEZA ELSE P.TRENUTNA_N_PRIVEZA END AS TRENUTNA_N_PRIVEZA, BERTH_TEMP.KATEGORIJA AS TRENUTNA_KATEGORIJA,
CASE WHEN BERTH_CONTRACT.ID_PRIVEZ IS NOT NULL THEN BERTH_CONTRACT.OBJEKT ELSE P.POGODBENI_OBJEKT_PRIVEZA END AS POGODBENI_OBJEKT_PRIVEZA,
CASE WHEN BERTH_CONTRACT.ID_PRIVEZ IS NOT NULL THEN BERTH_CONTRACT.N_PRIVEZA ELSE P.POGODBENA_N_PRIVEZA END AS POGODBENA_N_PRIVEZA, BERTH_CONTRACT.KATEGORIJA AS POGODBENA_KATEGORIJA,
NNUSR.USER_ AS KUPCI_MANAGER_USER, VPT.ID_PRIVEZ AS ID_PRIVEZ_TEMP, VPT.NNLOCATION_ID AS ID_LOCATION_TEMP, VPC.ID_PRIVEZ AS ID_PRIVEZ_CONTRACT, VPC.NNLOCATION_ID AS ID_LOCATION_CONTRACT
FROM KUPCI K
LEFT OUTER JOIN PLOVILA P ON P.ID_LASTNIKA = K.ID
LEFT OUTER JOIN NUSER NNUSR ON K.MANAGER = NNUSR.NUSER
LEFT OUTER JOIN (SELECT PRIVEZI.*, RANK() OVER (PARTITION BY ID_PLOVILA ORDER BY ID_PRIVEZI ASC) RNK FROM PRIVEZI WHERE ID_POGODBE IS NULL) PRIVEZI_TEMP ON (PRIVEZI_TEMP.ID_PLOVILA = P.ID AND PRIVEZI_TEMP.RNK = 1)
LEFT OUTER JOIN NNPRIVEZ BERTH_TEMP ON BERTH_TEMP.ID_PRIVEZ = PRIVEZI_TEMP.ID_PRIVEZ
LEFT OUTER JOIN (SELECT PRIVEZI.*, RANK() OVER (PARTITION BY ID_PLOVILA ORDER BY ID_PRIVEZI DESC) RNK FROM PRIVEZI WHERE ID_POGODBE IS NOT NULL) PRIVEZI_CONTRACT ON (PRIVEZI_CONTRACT.ID_PLOVILA = P.ID AND PRIVEZI_CONTRACT.RNK = 1)
LEFT OUTER JOIN NNPRIVEZ BERTH_CONTRACT ON BERTH_CONTRACT.ID_PRIVEZ = PRIVEZI_CONTRACT.ID_PRIVEZ
LEFT OUTER JOIN V_PRIVEZ_LOCATION VPT ON VPT.ID_PRIVEZ = BERTH_TEMP.ID_PRIVEZ
LEFT OUTER JOIN V_PRIVEZ_LOCATION VPC ON VPC.ID_PRIVEZ = BERTH_CONTRACT.ID_PRIVEZ
)
;

ALTER TABLE WAITLIST
ADD USER_COMMENT VARCHAR2(250 CHAR)
;

DROP VIEW V_WAITLIST
;

CREATE OR REPLACE VIEW V_WAITLIST AS (
	SELECT W.ID_WAITLIST, W.NNLOCATION_ID, W.ID_LASTNIKA, W.ID_PLOVILA, W.ID_TYPE, W.AREA, W.ID_PRIVEZ, W.DATE_FROM, W.DATE_TO, W.LENGTH_OF_STAY, W.STATUS, W.DATE_CREATED, W.USER_CREATED, W.USER_COMMENT,
  WT.DESCRIPTION AS TYPE_DESCRIPTION, P.IME AS BOAT_NAME, P.DOLZINA AS BOAT_LENGTH, NO.OPIS AS AREA_DESCRIPTION, NP.N_PRIVEZA AS BERTH_DESCRIPTION,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
	FROM WAITLIST W
 	LEFT OUTER JOIN WAITLIST_TYPE WT ON WT.ID_WAITLIST_TYPE = W.ID_TYPE
  LEFT OUTER JOIN PLOVILA P ON P.ID = W.ID_PLOVILA
  LEFT OUTER JOIN KUPCI K ON K.ID = W.ID_LASTNIKA
  LEFT OUTER JOIN NNOBJEKT NO ON NO.SIFRA = W.AREA
  LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = W.ID_PRIVEZ 
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1842, SYSDATE, '5.5', 1762, 'Neto prices')
;
