ALTER TABLE S_DAVEK
  ADD VRSTA VARCHAR2(10 CHAR);

UPDATE S_DAVEK
SET VRSTA='DDV' 
WHERE VRSTA IS NULL;

ALTER TABLE PTEMELJ
ADD VRSTA_DAVEK VARCHAR2(10 CHAR);

CREATE TABLE NTIPITRANS (
IDTRANSDET NUMBER NOT NULL,
OPIS VARCHAR2(100 CHAR) NOT NULL,
INTERNI_OPIS VARCHAR2(100 CHAR) NOT NULL,
KONTO VARCHAR2(10 CHAR),
JEKUPEC VARCHAR(1 CHAR) NOT NULL,
AKT VARCHAR2(1 CHAR) NOT NULL,
CONSTRAINT PK_NTIPITRANS PRIMARY KEY (IDTRANSDET)
);

CREATE SEQUENCE NTIPITRANS_SEQ START WITH 1 INCREMENT BY 1;

INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE)
VALUES
('NTIPITRANS', 'IDTRANSDET', 'NTIPITRANS_SEQ', 'S_KLJUCI');

ALTER TABLE NTIPITRANS
  ADD VRSTA VARCHAR2(10 CHAR);

Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values 
('NTIPITRANS','VRSTA','IZD','Type','Expense','DOT','Expense');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values 
('NTIPITRANS','VRSTA','DOT','Type','Deposit','DOT','Deposit');

INSERT INTO NTIPITRANS (IDTRANSDET, VRSTA, OPIS, INTERNI_OPIS, JEKUPEC, AKT)
VALUES
(NTIPITRANS_SEQ.NEXTVAL, 'IZD', 'DEFAULT', 'DEFAULT', 'N','Y');

INSERT INTO NTIPITRANS (IDTRANSDET, VRSTA, OPIS, INTERNI_OPIS, JEKUPEC, AKT)
VALUES
(NTIPITRANS_SEQ.NEXTVAL, 'DOT', 'DEFAULT', 'DEFAULT', 'N','Y');

CREATE UNIQUE INDEX IX_NTIPITRANS ON NTIPITRANS (VRSTA, OPIS);

ALTER TABLE EXCHANGE
ADD IDTRANSDET NUMBER; 

ALTER TABLE EXCHANGE
ADD ID_KUPCA NUMBER;

ALTER TABLE RACUN_DATA 
ADD NON_REFUND VARCHAR2(1 CHAR);

Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values 
('NTIPITRANS','JEKUPEC','N','Assign owner','No','Y','No');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values 
('NTIPITRANS','JEKUPEC','Y','Assign owner','Yes','Y','Yes');

Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values 
('NTIPITRANS','AKT','N','Active','No','Y','No');
Insert into SIFRANT (STRINGTABLE,ID_STRING,KODA_SIFRANT,ID_STR_LABEL,NAZIV_SIFRANT,PRIVZETA_VR,INTERNI_OPIS) 
values 
('NTIPITRANS','AKT','Y','Active','Yes','Y','Yes');

CREATE UNIQUE INDEX IX_NKNJIZBA1 ON NKNJIZBA (SALDKONT);

INSERT INTO S_KLJUCI (IDKLJUC, STEVEC, TIP, VIDEN) VALUES ('NKNJIZBA', (SELECT MAX(NKNJIZBA)+1 FROM NKNJIZBA), '1', 0);
UPDATE S_KLJUCI SET STEVEC=(SELECT MAX(NKNJIZBA)+1 FROM NKNJIZBA) WHERE IDKLJUC='NKNJIZBA';

Insert into NKNJIZBA (NKNJIZBA,SALDKONT,SLO,I,D,F,GB,CRO,INTERNI_OPIS,SDK_RN_TIP,SDK_RN_PL,SDK_ZAPADLOST,SDK_ST_RACUNA,ROCNI_VNOS,KONTO_DOM,KONTO_TUJ,PKONTO_DOM,PKONTO_TUJ,LOCENI_STORNO,STORNO_CNT,VNOS_RACUNA) 
values 
((SELECT STEVEC FROM S_KLJUCI WHERE IDKLJUC='NKNJIZBA'),'IZB','EXPENSE FROM REGIST.',null,null,null,null,'EXPENSE FROM REGIST.','EXPENSE FROM REGIST.','P','P','N','D','D',null,null,null,null,'N',null,'N');

UPDATE S_KLJUCI SET STEVEC = STEVEC + 1 WHERE IDKLJUC='NKNJIZBA';

Insert into NKNJIZBA (NKNJIZBA,SALDKONT,SLO,I,D,F,GB,CRO,INTERNI_OPIS,SDK_RN_TIP,SDK_RN_PL,SDK_ZAPADLOST,SDK_ST_RACUNA,ROCNI_VNOS,KONTO_DOM,KONTO_TUJ,PKONTO_DOM,PKONTO_TUJ,LOCENI_STORNO,STORNO_CNT,VNOS_RACUNA) 
values 
((SELECT STEVEC FROM S_KLJUCI WHERE IDKLJUC='NKNJIZBA'),'PLB','DEPOSIT TO REGISTER',null,null,null,null,'DEPOSIT TO REGISTER','DEPOSIT TO REGISTER','I','P','N','D','D',null,null,null,null,'N',null,'N');

UPDATE S_KLJUCI SET STEVEC = STEVEC + 1 WHERE IDKLJUC='NKNJIZBA';

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (260, SYSDATE, '5.5', 180, 'Blagajna knjienje');