ALTER TABLE FB_RESERVATION
ADD ID_FB_LOCATION NUMBER;

ALTER TABLE FB_RESERVATION
ADD CONSTRAINT ID_FB_LOCATION_FK FOREIGN KEY (ID_FB_LOCATION)
REFERENCES FB_LOCATION(ID_FB_LOCATION);

UPDATE FB_RESERVATION FB
SET FB.ID_FB_LOCATION = (SELECT FT.ID_FB_LOCATION FROM FB_TABLE FT WHERE FT.ID_FB_TABLE = FB.ID_FB_TABLE)
WHERE FB.ID_FB_LOCATION IS NULL;

ALTER TABLE FB_TABLE
ADD MULTIPLE_OPEN_ORDERS VARCHAR2(1 CHAR) DEFAULT 'Y';

DROP VIEW V_FB_RESERVATION;

CREATE OR REPLACE VIEW V_FB_RESERVATION AS (
SELECT FR.ID_FB_RESERVATION, FR.ID_FB_TABLE, FR.ID_FB_LOCATION, FR.ID_LASTNIKA, FR.ID_STATUS, FR.DATE_FROM, FR.DATE_TO, FR.NUMBER_OF_PERSONS, FR."COMMENT", FR.CREATED_FROM_ORDER,
FT.DESCRIPTION AS TABLE_DESCRIPTION, FT.CAPACITY AS TABLE_CAPACITY, FS.DESCRIPTION AS STATUS_DESCRIPTION, FS.COLOR AS STATUS_COLOR, FS.TEXT_COLOR AS STATUS_TEXT_COLOR,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUP.IME || ' ' || KUP.PRIIMEK) ELSE (KUP.PRIIMEK || ' ' || KUP.IME) END) AS OWNER,
(SELECT COUNT(FO.ID_FB_ORDER) FROM FB_ORDER FO WHERE FO.ID_FB_RESERVATION = FR.ID_FB_RESERVATION AND FO.ID_STATUS > 0) AS NUMBER_OF_ORDERS
FROM FB_RESERVATION FR
LEFT OUTER JOIN FB_TABLE FT ON FT.ID_FB_TABLE = FR.ID_FB_TABLE
LEFT OUTER JOIN FB_RESERVATION_STATUS FS ON FS.ID_FB_RESERVATION_STATUS = FR.ID_STATUS
LEFT OUTER JOIN KUPCI KUP ON KUP.ID = FR.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2045, SYSDATE, '5.5', 1965, 'FB reservation')
;
