CREATE TABLE EMAIL_TEMPLATE (
	ID_EMAIL_TEMPLATE NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR) NOT NULL,
	
	SEND_FROM VARCHAR2(100 CHAR),
	ID_QUERY_SEND_FROM NUMBER,
	SEND_FROM_BY_QUERY VARCHAR2(1 CHAR),
	
	SEND_TO VARCHAR2(1000 CHAR),
	ID_QUERY_SEND_TO NUMBER,
	SEND_TO_BY_QUERY VARCHAR2(1 CHAR),
	
	ID_TEMPLATE_QUERY NUMBER NOT NULL,
	
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	
	CONSTRAINT EMAIL_TEMPLATE_SEND_FROM_FK FOREIGN KEY (ID_QUERY_SEND_FROM) REFERENCES QUERY(ID_QUERY),
	CONSTRAINT EMAIL_TEMPLATE_SEND_TO_FK FOREIGN KEY (ID_QUERY_SEND_TO) REFERENCES QUERY(ID_QUERY),
	CONSTRAINT EMAIL_TEMPLATE_QUERY_FK FOREIGN KEY (ID_TEMPLATE_QUERY) REFERENCES TEMPLATE_QUERY(ID_TEMPLATE_QUERY),
	CONSTRAINT EMAIL_TEMPLATE_PK PRIMARY KEY (ID_EMAIL_TEMPLATE)
);

CREATE SEQUENCE EMAIL_TEMPLATE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_EMAIL_TEMPLATE AS
SELECT ET.ID_EMAIL_TEMPLATE, ET.NAME, CASE WHEN NVL(ET.SEND_FROM_BY_QUERY, '') = 'Y' THEN QF.NAME ELSE ET.SEND_FROM END AS SEND_FROM,  
CASE WHEN NVL(ET.SEND_TO_BY_QUERY, '') = 'Y' THEN QT.NAME ELSE ET.SEND_TO END AS SEND_TO,  
TQ.NAME AS TEMPLATE_QUERY_NAME, ET.DATE_CREATED, ET.USER_CREATED, ET.DATE_CHANGED, ET.USER_CHANGED, ET.ACT
FROM EMAIL_TEMPLATE ET
LEFT OUTER JOIN QUERY QF ON ET.ID_QUERY_SEND_FROM = QF.ID_QUERY
LEFT OUTER JOIN QUERY QT ON ET.ID_QUERY_SEND_TO = QT.ID_QUERY
LEFT OUTER JOIN TEMPLATE_QUERY TQ ON ET.ID_TEMPLATE_QUERY = TQ.ID_TEMPLATE_QUERY;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(477, SYSDATE, '5.5', 397, 'Predloge emailov');