ALTER TABLE PLOVILABELEZKE
ADD TYPE NUMBER;

CREATE TABLE NPLOVILABELEZKE_TYPE (
	ID NUMBER NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	ACT VARCHAR2 (1 CHAR),
	CONSTRAINT NPLOVILABELEZKE_TYPE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NPLOVILABELEZKE_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE KUPCIBELEZKE
ADD TYPE NUMBER;

CREATE TABLE NKUPCIBELEZKE_TYPE (
	ID NUMBER NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	ACT VARCHAR2 (1 CHAR),
	CONSTRAINT NKUPCIBELEZKE_TYPE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE NKUPCIBELEZKE_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 100 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_PLOVILABELEZKE AS (
SELECT PB.ID_PLBELEZKE, PB.IDPLOVILA, PB.DATUMKREIRANJA, PB.USERKREIRANJA, PB.BELEZKA, PB.VELJAVNA, PB.TYPE,
PBT.OPIS AS BELEZKE_TYPE_OPIS, PBT.INTERNI_OPIS AS BELEZKE_TYPE_INTERNI_OPIS 
FROM PLOVILABELEZKE PB
LEFT OUTER JOIN NPLOVILABELEZKE_TYPE PBT ON PBT.ID = PB.TYPE
);

CREATE OR REPLACE VIEW V_KUPCIBELEZKE AS (
SELECT KB.ID_KPBELEZKE, KB.IDKUPCA, KB.DATUMKREIRANJA, KB.USERKREIRANJA, KB.BELEZKA, KB.VELJAVNA, KB.TYPE,
KBT.OPIS AS BELEZKE_TYPE_OPIS, KBT.INTERNI_OPIS AS BELEZKE_TYPE_INTERNI_OPIS 
FROM KUPCIBELEZKE KB
LEFT OUTER JOIN NKUPCIBELEZKE_TYPE KBT ON KBT.ID = KB.TYPE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (930, SYSDATE, '5.5', 850, 'Tip belezk');
